from openpyxl.worksheet.dimensions import (
    RowDimension,
    ColumnDimension,
)


class SynoRowDimension(RowDimension):
    def __init__(self, *args, **kwargs):
        RowDimension.__init__(self, *args, **kwargs)
        self.xf_id = None

    @property
    def style_id(self):
        return self.xf_id

    @property
    def has_style(self):
        return self.xf_id is not None


class SynoColumnDimension(ColumnDimension):
    def __init__(self, *args, **kwargs):
        ColumnDimension.__init__(self, *args, **kwargs)
        self.xf_id = None

    @property
    def style_id(self):
        return self.xf_id

    @property
    def has_style(self):
        return self.xf_id is not None
