from openpyxl.drawing.image import Image


class SynoImage(Image):

    def __init__(self, img, format, width=0, height=0):
        # pylint: disable=super-init-not-called
        # ignore parent constructor for skipping image parsing
        self.ref = img
        self.format = format
        self.width = width
        self.height = height

    def _data(self):
        data = None
        with open(self.ref, 'rb') as f:
            data = f.read()
        return data
